extends CharacterBody2D


@export var SPEED = 300.0

# Get the gravity from the project settings to be synced with RigidBody nodes.
var gravity = ProjectSettings.get_setting("physics/2d/default_gravity")


func _physics_process(delta):
	var horizontal_input = Input.get_axis("move_left", "move_right")
	velocity = Vector2(horizontal_input * SPEED, gravity)

	move_and_slide()
